Subject: RE: gcc -mno-cygwin preprocessing: cygwin headers included.
From: Danny Smith <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 2 Apr 2003 18:25:21 +1000 (EST)

From: Teun Burgers <burgers at ecn dot nl> 
---
 > 
 > consider a file hello.c with the following two lines:
 > 
 > #include <stdio.h>
 > #include <stdarg.h>
 > 
 > The attached cygwin.txt is the output of gcc -E hello.c
 > The attached no-cygwin.txt is the output of gcc -mno-cygwin -E hello.c
 > 
 > The cygwin one includes /usr/include/stdio.h (OK) and 
 > /usr/lib/gcc-lib/i686-pc-cygwin/3.2/include/stdarg.h (OK)
 > 
 > The no-cygwin one includes /usr/include/mingw/stdio.h (OK) and 
 > /usr/lib/gcc-lib/i686-pc-cygwin/3.2/include/stdarg.h (NOT OK?).
 > 
 > Shouldn't the -mno-cygwin one include
 > /usr/lib/gcc-lib/i686-pc-mingw32/3.2/include/stdarg.h?
 > 
 
Should  be OK.  GCC's system includes ahould be same for mingw and cygwin (with
same version of gcc).  If there is a difference it is my fault. I think I put
in an RC_INVOKED guard in stdarg.h and stddef.h for mingw but they aren't
necessary anymore for mingw.  Nor are they harmful.

The only difference I could think of would be in float.h.  GCC used to use
different versions of float.h for i386 systems with 80 bit long doubles vs.
system with long double == 64 bit double.  But I think that is changed now and
is all taken care of by builtin defines. 

Danny

 > I use all packages current for today.
 > 
 > Teun
 > 

http://mobile.yahoo.com.au - Yahoo! Mobile
- Check & compose your email via SMS on your Telstra or Vodafone mobile.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/